> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook



## OpenAPI

````yaml /openapi/calendar.json get /webhooks/{id}
openapi: 3.0.3
info:
  title: Universal Calendar API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://calendar.universal.rollout.com/api
security: []
paths:
  /webhooks/{id}:
    get:
      tags:
        - Webhooks
      summary: Get Webhook
      operationId: getWebhooksById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                    enum:
                      - Active
                      - Disabled
                  event:
                    type: string
                  url:
                    type: string
                  filters:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        equals:
                          type: string
                      required:
                        - equals
                required:
                  - id
                  - status
                  - event
                  - url
                  - filters
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                    enum:
                      - Requested resource was not found.
                required:
                  - errorMessage
        '409':
          description: Response for status 409
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                    enum:
                      - >-
                        Data for this credential is not ready yet. Please try
                        again.
                required:
                  - errorMessage
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Consumer JWT minted by the tenant's backend
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.